import {
	IconBrowserCheck,
	IconBuildingStore,
	IconCoin,
	IconForklift,
	IconHelp,
	IconLayoutDashboard,
	IconNotification,
	IconPackage,
	IconPalette,
	IconPercentage,
	IconSettings,
	IconTag,
	IconTool,
	IconUserCog,
	IconUsers
} from "@tabler/icons-react";
import { AudioWaveform, Command, GalleryVerticalEnd } from "lucide-react";
import { type SidebarData } from "../types";

export const sidebarData: SidebarData = {
	navGroups: [
		{
			title: "Dashboard",
			items: [
				{
					title: "Dashboard",
					url: "/dashboard",
					icon: IconLayoutDashboard
				},
				{
					title: "Shop",
					url: "/dashboard/shop",
					icon: IconBuildingStore
				},
				{
					title: "Products",
					url: "/dashboard/products",
					icon: IconPackage
				},
				{
					title: "Inventory",
					url: "/dashboard/tasks",
					icon: IconForklift
				},
				{
					title: "Sales",
					icon: IconCoin,
					items: [
						{
							title: "Discounts",
							url: "/dashboard/sales/discounts",
							icon: IconPercentage
						},
						{
							title: "Coupons",
							url: "/dashboard/sales/coupons",
							icon: IconTag
						}
					]
				},
				{
					title: "Customers",
					url: "/dashboard/users",
					icon: IconUsers
				}
			]
		},
		{
			title: "Other",
			items: [
				{
					title: "Settings",
					icon: IconSettings,
					items: [
						{
							title: "Profile",
							url: "/dashboard/settings",
							icon: IconUserCog
						},
						{
							title: "Account",
							url: "/dashboard/settings/account",
							icon: IconTool
						},
						{
							title: "Appearance",
							url: "/dashboard/settings/appearance",
							icon: IconPalette
						},
						{
							title: "Notifications",
							url: "/dashboard/settings/notifications",
							icon: IconNotification
						},
						{
							title: "Display",
							url: "/dashboard/settings/display",
							icon: IconBrowserCheck
						}
					]
				},
				{
					title: "Help Center",
					url: "/help-center",
					icon: IconHelp
				}
			]
		}
	]
};
